RecentX Help

The Sidebar

The “Sidebar” allows single-click access to recent files, folders, applications and websites. It has been made small and handy so that it does not come in your way when working with other applications. The sidebar can be tacked to any edge of the desktop. Just drag the sidebar towards any desktop edge convenient to you.

Each tab from top to bottom represents Files, Folders, Applications and Websites respectively.

Auto Hide: Even better is the “Auto Hide” feature which hides the sidebar when not used. Right click on the sidebar to enable the “Auto Hide” feature.

Transparency: The transparency feature adds elegant looks to the sidebar. Right click on the sidebar to set different transparency levels.

Exit: Exits RecentX permanently.

Tip: Certain applications do not notify RecentX about the files/folders accessed. In such cases, you can just drag and drop those files/folders on to this sidebar.


Locating Recent Items

With RecentX, recent items are at your finger tips.

RecentX automatically tracks the files and folders you use, applications you launch and websites you visit. It offers a very handy solution to quickly access these recent items.

Step 1: Click on the required tab on the Sidebar. RecentX main window will appear listing the most recent items you have accessed. That's it. If you want to filter these results, go to Step 2 below.

Step 2 (Optional): To filter the results, type the required keywords in the Find window.

RecentX matches the keywords with the "Name" of a recent item. To match the keywords with the "Address" of a recent item, prefix them keywords with the tilde (~) character. For example: If you specify ~C:, RecentX will list all recent items in C drive.

RecentX does not support wildcards.

You can change the criteria to be used by choosing the drop-down window containing the following options:

Find Criteria | Description
All Words | Matches all the words in a single item
Any Words | Matches at least one word in a single item
Exact Phrase | Matches the exact phrase in a single item


Favorite Keywords

The "Favorite Keywords" feature allows you to access the most commonly used keywords with just a mouse click.

If you find yourself typing the same keywords again and again, you can add them to the favorite keywords list so that you can select them using the mouse (double click).

The "Favorite Keywords" panel appear on the right-hand side of the main window as shown above. To select an item in the Find window, just double click any of the items shown in the "Favorite Keywords" list.

The pane contains a toolbar with the following options:

Sort: Sorts the favorite keywords items by name, keywords or last accessed. It is best to sort the favorite keywords items by last accessed so that the most commonly used keywords are displayed on the top.

New: Allows you to add a new favorite keywords item to the list.

Properties: Allows you to view or modify the selected favorite keywords item.

Delete: Allows you to delete the selected favorite keywords item.


Working with Recent Items

RecentX allows you perform the following operations on an item. In order to perform these operations, you must select one or more items and right click on the items.

Note that if you want to select more than one item, you need to hold the Ctrl key. When right clicking, you must continue to hold the Ctrl key.

Operation | Description
Open | Opens the selected item. If you hold ‘Shift’ while opening the item, RecentX window will be hidden automatically once the item is opened.
Open With | Opens the selected item in a non-default application.
Explore Here | Opens the folder containing the selected item in Windows Explorer. You can also configure RecentX to open the folder in some other explorer replacement application. To do this, choose the "Preferences" button and select "Settings" from the menu.
Cut | Marks the item for moving in to a different folder.
Copy | Marks the item for copying in to a different folder.
Paste Here | Pastes the item marked for copying/moving in to the selected folder.
Copy Paths | Copies the address of the selected item to the clipboard.
Command Prompt Here | Launches “Windows Command Prompt” (cmd.exe) with the selected item as the current folder. You can also configure RecentX to launch another "Command Prompt" replacement application. To do this, choose the "Preferences" button and select "Settings" from the menu.
Delete | Deletes the selected item.
Rename | Renames the selected item.
Properties | Shows properties of the selected item.

In addition to the above operations, you can also drag and drop these items in to any other applications such as Windows Explorer, Microsoft Word, Internet Explorer etc. This feature is extremely time-saving.


Settings

RecentX allows you to configure the settings as per your preferences.

To change the settings, click on the "Preferences" button and then choose the "Settings" menu item. The settings window will appear.

The settings window contains the following tabs:

General Tab
Results Tab
Filter Tab
Advanced Tab

General Tab

The General tab allows you to configure common general purpose settings.

Automatically run RecentX when I log on to Windows: Runs RecentX at Windows startup.

Hotkey to activate RecentX: System level hotkey to access RecentX instantly.

Clean up unused items every X months: Items which are not accessed are automatically removed from RecentX every X months. Items not accessed for more than X months are also removed.

Automatically check for updates every X days: Automatically checks Conceptworld's website for newer RecentX builds/versions.

Results Tab

The Results tab allows you to configure the way you want to display the recent items.

When no keywords are specified, Do not show any recent items: Does not display any recent items when no keywords are typed in the "Find" window.

When no keywords are specified, Show recent items accessed in last X weeks: Shows only the most recent items (as per configuration above), when no keywords are typed in the "Find" window.

Show the following items under Websites tab: Allows you to show or hide website favorites (bookmarks) and website history under Websites tab.

Filter Tab

Using the Filter option, you can configure RecentX to hide items which you do not want it to list.

Never show items containing the following words/phrases: Specify words or phrases by which you want to hide the items. Items containing these words or phrases will not be listed. These words/phrases will be used to filter all the categories (Files, Folders, Applications and Websites).

RecentX does not support wildcards.

Advanced Tab

Using the Advanced tab, you can configure RecentX to run third-party applications instead of Windows Explorer and Windows Command Prompt.

Run this application when I choose 'Explore Here': When ever you right click an item in RecentX and choose "Explore Here", RecentX will run the program which you specify here. By default, RecentX will run Windows Explorer (explorer.exe).

Run this application when I choose 'Command Prompt Here': When ever you right click an item in RecentX and choose "Command Prompt Here", RecentX will run the program which you specify here. By default, RecentX will run Windows Command Prompt (cmd.exe).

If you specify "%1" as part of the command line parameters, it will be replaced with the path of the item selected in RecentX. This feature is helpful if the third-party program allows you to select a file/folder using command line parameters.


Interesting Tips

  • When opening an item (file, folder etc), hold the Shift key to hide the RecentX window automatically.

  • To open a document, you can drag it from RecentX and drop it in to any other application such as Microsoft Word, Microsoft Excel, Adobe Acrobat Reader, Notepad etc.

  • Drag and place the Sidebar to any edge of your desktop that is convenient to you.

  • Certain applications do not notify RecentX about the files/folders accessed. In such cases, you can just drag and drop those files/folders on to the Sidebar or the RecentX window.

  • To paste items in to multiple folders at the same time, choose "Paste Here" after selecting multiple items in the list.

  • Sort the items by “Last Accessed” column in order to see the most recent items on the top.

  • You can hide the website history by changing the configuration under Preferences->Settings->Results tab.

  • To display Windows Explorer menu for an item, hold the Shift key when right clicking on that item. This menu allows you to use powerful features of Windows Explorer such as "Send To" and "File Compression".

  • Escape key immediately hides the RecentX window.

  • F3 is a magic key. See Keyboard Shortcuts topic for details.

  • Use keyboard shortcuts as much as possible to get things done faster. See Keyboard Shortcuts topic.

  • RecentX matches the keywords with the "Name" of a recent item. To match the keywords with the "Address" of a recent item, prefix the keywords with the tilde (~) character. For example: If you specify ~C:, RecentX will list all recent items in C drive.

  • Accessing a recent item is more comfortable when you reduce the size of the RecentX window and place it very near to the sidebar. This reduces strain on your eyes and hands.

  • Let the other users benefit too. Share your experiences, suggest improvements or report a bug. Write to us now!


Keyboard Shortcuts

Following is the list of keyboard shortcuts which RecentX supports.

Note that the keyboard shortcuts listed here DO NOT include menu shortcuts which are indicated against each menu item. For example: It is clearly indicated in the "Preferences" menu that Ctrl+Alt+T is the shortcut key to enable/disable "Always On Top".

Shortcut Key | From Location | Action
Ctrl+Shift+1 | Any Application | Toggle show/hide RecentX main window. This key combination can be changed using RecentX Settings. To do this, choose "Preferences" button and select "Settings" from the menu.
Escape | Anywhere in RecentX | Hides RecentX window.
F3 | Anywhere in RecentX | This key has multiple functions. It first sets the focus inside the "Find" window so that keywords can be typed. If the focus is already set, it selects all the keywords in the "Find" window. And if all the keywords are already selected, it clears the keywords from the "Find" window. This is a magic key. It is extremely useful when you want to clear or type new keywords.
F4 | Find Window | Lists the recently used keywords under the Find window.
F5 | Anywhere in RecentX | Refreshes the list. This will not be required in most cases as RecentX refreshes the list automatically when ever an item is updated.
F6 | Anywhere in RecentX | Select the “Favorite Keywords” pane.
F10 | Anywhere in RecentX | Shows "Type" and "Last Modified" details for items located on remote computers (applies only to the current list).
Ctrl+Tab | Anywhere in RecentX | Moves to the next tab. From "Files" to "Folders" to "Applications" to "Websites".
Shift+Tab | Anywhere in RecentX | Moves to the previous tab.
Tab | Find Window | Moves to the "Find Criteria" window which lists "All Words", "Any Words" and "Exact Phrase".
Ctrl+A | List | Selects all the items in the list.
Ctrl+I | List | Inverts selection in the list.


Frequently Asked Questions (FAQ)

Which Internet browsers do RecentX support ?
RecentX can capture website favorites (bookmarks) and website history from Internet Explorer and Mozilla Firefox.

Why are the documents & programs icons not shown when RecentX starts up?
Loading each icon is time consuming due to frequent hard disk access and CPU usage. In order to speed up the start up process RecentX does not load the icons immediately.

Why are some items marked as "(Skipped)" ?
RecentX does not get complete details about items located on a remote computer. Not doing so drastically improves the performance of the program. Details such as “Type” and “Last Modified” will show “(skipped)” in the list. However, you can retrieve these details for the currently listed items by pressing the F10 key.

Why does some applications show multiple times under the "Applications" tab?
This behavior is by design. An application appears multiple times because different set of command line parameters were passed, each time it was launched. In RecentX, the parameters for the selected application are displayed in the status bar (the bar at the bottom of the RecentX window).

Sometimes, RecentX does not show the file which I just opened/saved. Why?

Some applications will not notify RecentX immediately about the new files opened or created. In such cases, documents will appear in RecentX only when you close/reopen the applications using them.

Also, RecentX cannot pick files from applications that do not use the Standard File Open/Save windows. In such cases, you can drag and drop the file from Windows Explorer to RecentX.

Still, if there are other scenarios where a file fails to appear in RecentX, please write to us with details about the file and application used to open that file.

Can RecentX detect folders accessed using a third party file manager?

It is not possible to detect folders accessed using a third party file managers. RecentX can only detect folders accessed using Windows Explorer.

However, RecentX can detect files and applications opened using third party file managers.

How can I clear website history shown in RecentX?

When ever you clear the history from the Internet browser, it is automatically cleared in RecentX also.

Can I configure RecentX to hide Website history?

Yes. You can do so. Just go to Preferences->Settings->Results tab to hide Website history.

Why can't I delete specific websites from RecentX?

RecentX can only show website history which is provided by the Internet browser. Not all Internet browsers allow external applications to delete specific websites from their history.

However, you can hide specific websites using "Preferences->Settings->Filter" tab.

Where does RecentX store its data? Can I change the location?
RecentX data is typically stored under the folder "C:\Documents and Settings\<User Name>\Application Data\Conceptworld\RecentX".

To change this path follow the below steps:

  • Exit RecentX

  • Run RegEdit.exe

  • Go to the key HKEY_CURRENT_USER\Software\Conceptworld\RecentX\Settings

  • Change the value of the string “DataPath” to the new folder location

  • Launch RecentX

Note that if you wish to move the existing data, you will need to copy the files from C:\Documents and Settings\<User Name>\Application Data\Conceptworld\RecentX to the new folder location before making the above changes.


Write to Us

By sharing your experiences, suggesting improvements and reporting bugs you will be helping thousands of other users of this product.

Please write to us now!